aboutsummaryrefslogtreecommitdiff
path: root/contrib/devtools
diff options
context:
space:
mode:
authorJohn Newbery <john@johnnewbery.com>2018-04-05 10:18:26 -0400
committerJohn Newbery <john@johnnewbery.com>2018-04-07 12:29:52 -0400
commitd207207fd3ac1a0aaf3c34379f8f02b76dc69c69 (patch)
treee218eca7cae58e41fefd0fe63c3d5d704d0edc85 /contrib/devtools
parent5c21e6c6d3843232f384079837da1d9fae573b8d (diff)
downloadbitcoin-d207207fd3ac1a0aaf3c34379f8f02b76dc69c69.tar.xz
[logging] add lint-logs.sh to check for newline termination.
Check that all calls to LogPrintf() are terminated by a newline, except those that are explicitly marked as 'continued' logs.
Diffstat (limited to 'contrib/devtools')
-rwxr-xr-xcontrib/devtools/lint-logs.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/contrib/devtools/lint-logs.sh b/contrib/devtools/lint-logs.sh
new file mode 100755
index 0000000000..3bb54359a8
--- /dev/null
+++ b/contrib/devtools/lint-logs.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+#
+# Copyright (c) 2018 The Bitcoin Core developers
+# Distributed under the MIT software license, see the accompanying
+# file COPYING or http://www.opensource.org/licenses/mit-license.php.
+#
+# Check that all logs are terminated with '\n'
+#
+# Some logs are continued over multiple lines. They should be explicitly
+# commented with \* Continued *\
+#
+# There are some instances of LogPrintf() in comments. Those can be
+# ignored
+
+
+UNTERMINATED_LOGS=$(git grep "LogPrintf(" -- "*.cpp" | \
+ grep -v '\\n"' | \
+ grep -v "/\* Continued \*/" | \
+ grep -v "LogPrintf()")
+if [[ ${UNTERMINATED_LOGS} != "" ]]; then
+ echo "All calls to LogPrintf() should be terminated with \\n"
+ echo
+ echo "${UNTERMINATED_LOGS}"
+ exit 1
+fi